Bug 1597842 - vim-enhanced-8.1.119-1.fc28 crashes regularly after a while/when switching focus
Summary: vim-enhanced-8.1.119-1.fc28 crashes regularly after a while/when switching focus
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-03 17:05 UTC by Till Maas
Modified: 2018-07-07 22:16 UTC (History)
4 users (show)

Fixed In Version: vim-8.1.119-2.fc28 vim-8.1.119-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-06 16:44:27 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Till Maas 2018-07-03 17:05:12 UTC
Description of problem:
https://github.com/vim/vim/commit/04958cbaf25eea27eceedaa987adfb354ad5f7fd#diff-5f003dd283d1160d6036220cbec44dd9R129 fails to initialize beval->vts, therefore vim crashes regularly:

#0  0x00007ffff6a7eb5d in free () from /lib64/libc.so.6                                
#1  0x00005555555aec4b in get_beval_info (beval=0x55555605c140, getword=1, winp=0x7fffffffce80, lnump=<optimized out>, textp=0x7fffffffce90, colp=0x7fffffffce7c) at beval.c:129
#2  0x00005555555aee63 in general_beval_cb (beval=0x55555605c140, state=state@entry=0) at beval.c:215
#3  0x00005555556044cd in check_due_timer () at ex_cmds2.c:1426      
[...]

This is fixed upstream with:
https://github.com/vim/vim/commit/ca4b613c692b927c9345dc9e3d6be5de35266be2

It would be great to include this fix ASAP in a new update since the older update  with this bug was pushed without enough testing in a very short amount of time in F28. The F27 update could still be stopped.

Comment 1 Fedora Update System 2018-07-04 12:44:21 UTC
vim-8.1.119-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3121fa2f9e

Comment 2 Fedora Update System 2018-07-04 12:56:14 UTC
vim-8.1.119-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-83bffee6af

Comment 3 Fedora Update System 2018-07-04 16:23:51 UTC
vim-8.1.119-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-83bffee6af

Comment 4 Fedora Update System 2018-07-04 18:22:56 UTC
vim-8.1.119-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3121fa2f9e

Comment 5 Fedora Update System 2018-07-06 16:44:27 UTC
vim-8.1.119-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-07-07 22:16:33 UTC
vim-8.1.119-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.